function fnMaskDecimal(evt) {
	var unicode = evt.charCode ? evt.charCode : evt.keyCode
	if (unicode < 8 || unicode > 9) {
		if (!(unicode == 46 || (unicode >= 48 && unicode <= 57))) return false;
		var parts = evt.srcElement.value.split('.');
		if (parts.length > 2) return false;
		if (unicode == 46) return (parts.length == 1);
		if (evt.srcElement.value.length >= 8) return false;
		if (parts[0].length == 4 && parts.length == 1) return false;
	}
}
function fnValidateDecimal(textbox, beforeDecimal, afterDecimal) {
   
	var afterDecimal = 3;
	var str = textbox.value;
	var newStr = "";
	var parts = str.split('.');
	if (parts.length >= 2) {
		if (parts[0].length > beforeDecimal) {
			newStr = parts[0].substring(0, beforeDecimal);
		}
		else { newStr = parts[0]; }
		if (parts[1].length > afterDecimal) {
			newStr = newStr + '.' + parts[1].substring(0, afterDecimal);
		}
		else { newStr = newStr + '.' + parts[1]; }
	}
	else {
		if (str.indexOf('.') >= 0) {
			if (str.length > beforeDecimal) {
				newStr = str.substring(0, beforeDecimal);
			}
			else { newStr = str; }
		}
		else {
			if (str.length > afterDecimal + 1) {
				newStr = str.substring(0, afterDecimal + 1);
			}
			else { newStr = str; }
		}
	}
	if (newStr.length > 0) {
		str = newStr;
	}
	textbox.value = str;
}